Bug 842064 - Review Request: mscgen - Message Sequence Chart rendering program
Review Request: mscgen - Message Sequence Chart rendering program
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
: 630754 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 10:53 EDT by Damian Wrobel
Modified: 2012-09-17 18:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-27 19:00:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
volker27: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Damian Wrobel 2012-07-21 10:53:50 EDT
Spec URL: http://dwrobel.fedorapeople.org/projects/rpmbuild/SPECS/mscgen.spec
SRPM URL: http://dwrobel.fedorapeople.org/projects/rpmbuild/SRPMS/mscgen-0.20-2.fc17.src.rpm
Description: Mscgen is a small program that parses Message Sequence Chart descriptions and produces PNG, SVG, EPS or server side image maps (ismaps) as the output. Message Sequence Charts (MSCs) are a way of representing entities and interactions over some time period and are often used in combination with SDL. MSCs are popular in Telecoms to specify how protocols operate although MSCs
need not be complicated to create or use. Mscgen aims to provide a simple text
language that is clear to create, edit and understand, which can also be transformed into common image formats for display or printing.

Fedora Account System Username: dwrobel

rpmlint:
mscgen.src: W: spelling-error %description -l en_US ismaps -> is maps, is-maps, Ismail
mscgen.i686: W: spelling-error %description -l en_US ismaps -> is maps, is-maps, Ismail
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 1 Damian Wrobel 2012-07-21 10:57:17 EDT
*** Bug 630754 has been marked as a duplicate of this bug. ***
Comment 2 Mario Blättermann 2012-07-29 09:33:04 EDT
You should drop pkgconfig from BR, because it is needed by freetype-devel anyway. The same for freetype-devel itself, it is needed by gd-devel.
Comment 3 Volker Fröhlich 2012-08-05 19:13:17 EDT
As the above is no blocker, to my knowledge, we can approve this package.

I recommend to add -f to your rm command.

Consider to install TODO and ChangeLog.

There are a few more comments in the review.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GENERATED FILE", "GPL (v2 or later)", "GPL (v3 or later)"
     For detailed output of licensecheck see file:
     /media/speicher1/makerpm/rpmbuild/SPECS/842064-mscgen/licensecheck.txt
 
The GPLv3+ file stems from BISON and poses no problem.

[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.

Maybe you can leave a comment about urw-fonts.

[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.

Please use the name macro on Source.

[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Requires
--------
mscgen-0.20-2.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libX11.so.6()(64bit)  
    libXpm.so.4()(64bit)  
    libc.so.6()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgd.so.2()(64bit)  
    libjpeg.so.62()(64bit)  
    libm.so.6()(64bit)  
    libpng12.so.0()(64bit)  
    libz.so.1()(64bit)  
    rtld(GNU_HASH)  
    urw-fonts  

mscgen-debuginfo-0.20-2.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
mscgen-0.20-2.fc16.x86_64.rpm:
    
    mscgen = 0.20-2.fc16
    mscgen(x86-64) = 0.20-2.fc16

mscgen-debuginfo-0.20-2.fc16.x86_64.rpm:
    
    mscgen-debuginfo = 0.20-2.fc16
    mscgen-debuginfo(x86-64) = 0.20-2.fc16

MD5-sum check
-------------
http://www.mcternan.me.uk/mscgen/software/mscgen-src-0.20.tar.gz :
  MD5SUM this package     : 65c90fb5150d7176b65b793f0faa7377
  MD5SUM upstream package : 65c90fb5150d7176b65b793f0faa7377


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 842064
External plugins:
Comment 4 Damian Wrobel 2012-08-16 10:12:27 EDT
Volker,
Thank you for taking the review.
All your comments were taken into account, except the ChangeLog installation as it's already installed.

SRPM URL: http://dwrobel.fedorapeople.org/projects/rpmbuild/SRPMS/mscgen-0.20-3.fc17.src.rpm
Comment 5 Volker Fröhlich 2012-08-16 12:20:20 EDT
Great! You already have green light. You can request CVS.
Comment 6 Damian Wrobel 2012-08-16 13:18:27 EDT
New Package SCM Request
=======================
Package Name: mscgen
Short Description: Message Sequence Chart rendering program
Owners: dwrobel
Branches: f16 f17 f18
InitialCC:
Comment 7 Jon Ciesla 2012-08-16 13:25:27 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-08-16 14:34:52 EDT
mscgen-0.20-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mscgen-0.20-3.fc17
Comment 9 Fedora Update System 2012-08-16 14:35:04 EDT
mscgen-0.20-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mscgen-0.20-3.fc16
Comment 10 Fedora Update System 2012-08-16 14:35:15 EDT
mscgen-0.20-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mscgen-0.20-3.fc18
Comment 11 Fedora Update System 2012-08-16 17:27:18 EDT
mscgen-0.20-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2012-08-27 19:00:32 EDT
mscgen-0.20-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-08-27 19:02:29 EDT
mscgen-0.20-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-09-17 18:03:13 EDT
mscgen-0.20-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.